package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWFEU5 extends MwfRequest<MWFEU5, MWFEU5Response> {

    @Parameter(name = "CIF")
    MWFEU5 cif(String cif);
    @Parameter(name = "GetBlackLists")
    MWFEU5 getBlackLists(String getBlackLists);
    @Parameter(name = "GetUnverified")
    MWFEU5 getUnverified(String getUnverified);
    @Parameter(name = "ICO")
    MWFEU5 ico(String ico);
    @Parameter(name = "RodneCislo")
    MWFEU5 rodneCislo(String rodneCislo);
    @Parameter(name = "SegmentProFxTool")
    MWFEU5 segmentProFxTool(String segmentProFxTool);
    @Parameter(name = "TypOsoby")
    MWFEU5 typOsoby(String typOsoby);
    @Parameter(name = "UniPtKey")
    MWFEU5 uniPtKey(Long uniPtKey);
}
